Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001352Frama-CKernelpublic2013-01-28 17:302014-03-13 15:57
Reportersignoles 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0001352: Error message could be better
DescriptionOn the following incorrect file:

=== bug.i ===
int main(void) {
  int t /* [5] missing */ = { 1, 2, 3, 4, 5 };
}
=============

frama-c reports:
$ frama-c bug.i
bug.i:2:[kernel] failure: doInit: unexpected NEXT_INIT for int
[kernel] user error: skipping file "tests/fusy/lval.i" that has errors.
[kernel] Frama-C aborted: invalid user input.

This message is not very helpful...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004568)

2014-02-12 16:57

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2013-01-28 17:30 signoles New Issue
2013-01-28 17:30 signoles Status new => assigned
2013-01-28 17:30 signoles Assigned To => virgile
2013-01-28 17:34 virgile Status assigned => confirmed
2013-07-04 14:25 svn Checkin
2013-07-04 14:25 svn Status confirmed => resolved
2013-07-04 14:25 svn Resolution open => fixed
2014-02-12 16:57 Note Added: 0004568
2014-03-13 15:56 signoles Fixed in Version => Frama-C Neon-20140301
2014-03-13 15:57 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker